commit fc79791bd8ec7adb88e206158484b940343c6765
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 4 13:19:49 2024 -0800

    xkbevd 1.1.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit df09a8bd9d4692612647c5054d8113f7b83ce961
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 11 11:06:39 2024 -0800

    Use _stricmp() instead of strcasecmp() on Windows
    
    v2: Exclude include of <strings.h> as well
    
    Fixes: e4bae5f ("Assume target platforms have strcasecmp now")
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xkbevd/-/merge_requests/7>

commit 53fc60d2eb2c6e3847d2e6cb6e3d3f48eaa8e0d8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 28 15:44:00 2024 -0700

    Accept --help & --version as aliases to -help & -version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xkbevd/-/merge_requests/6>

commit ab1024ef4bd01324d8506d069b465dacc9579165
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 28 15:23:33 2024 -0700

    evargs.c: constify pointer arguments that aren't modified
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xkbevd/-/merge_requests/6>

commit 1176594f37734c3f60a0932c1e666edb5179a702
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 28 15:12:49 2024 -0700

    evargs.c: Use standard strchr() instead of deprecated index()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xkbevd/-/merge_requests/6>

commit 7685c5d538067e726723dd99ef8108d303a9ee1a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 28 12:58:01 2024 -0700

    Remove detectableRepeat variable
    
    The only uses of it were in the code in the '#ifdef notyet' bits
    removed a decade ago in commit 01774fb58330733858ff41ceabe2d646d127d4f3.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xkbevd/-/merge_requests/6>

commit e4bae5f23e2c12d2771b93adc7c686d8f600b3a9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 22 10:26:01 2024 -0700

    Assume target platforms have strcasecmp now
    
    It has been required since Unix98/SUSv2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xkbevd/-/merge_requests/5>

commit ca8e535970c7bec44e02141113e31a42bb0a1c5e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 12 15:47:00 2022 -0800

    xkbevd 1.1.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2ab380b66b2bca181b01d375779bfdff167744a6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 22 12:09:28 2022 -0700

    Add .git-blame-ignore-revs to hide whitespace commits from git blame
    
    To use this in your local repo clone, you will need to either run
    `git blame --ignore-revs-file .git-blame-ignore-revs`
    or set it permanently with
    `git config blame.ignoreRevsFile .git-blame-ignore-revs`
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7f9e4590a75d629b3ca65887b6e477a72ba39b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 22 12:01:47 2022 -0700

    eventTypeToString: remove unnecessary strcpy to static buffer
    
    Since the results are just passed to fprintf(), we can just return
    a pointer to the string constants directly.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit be8848c2203b489854982eb74727928cb5b622da
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 22 11:58:40 2022 -0700

    xkbevd.c: Update default DFLT_XKB_CONFIG_ROOT path
    
    Normally overriden by -DDFLT_XKB_CONFIG_ROOT in Makefile
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0bb93230c5263ebfc4cc25125f1c76f1d6a7382a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 22 11:42:10 2022 -0700

    cfgscan: check if character is EOF before calling isalpha or isdigit
    
    Resolves cppcheck warnings:
    
    cfgscan.c:475:22: warning: Either the condition 'ch==-1' is redundant or
     isalpha() argument nr 1 can have invalid value. The value is -1 but the
     valid values are '0:255'. [invalidFunctionArg]
        else if (isalpha(ch) || (ch == '_'))
                         ^
    cfgscan.c:479:17: note: Assuming that condition 'ch==-1' is not redundant
        else if (ch == EOF)
                    ^
    cfgscan.c:475:22: note: Invalid argument
        else if (isalpha(ch) || (ch == '_'))
                         ^
    cfgscan.c:477:22: warning: Either the condition 'ch==-1' is redundant or
     isdigit() argument nr 1 can have invalid value. The value is -1 but the
     valid values are '0:255'. [invalidFunctionArg]
        else if (isdigit(ch))
                         ^
    cfgscan.c:479:17: note: Assuming that condition 'ch==-1' is not redundant
        else if (ch == EOF)
                    ^
    cfgscan.c:477:22: note: Invalid argument
        else if (isdigit(ch))
                         ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 00becc220c242cf7f37cc139db1e7f7b9c475d15
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 22 11:16:46 2022 -0700

    Rename shadowed variables
    
    Fixes gcc warnings of:
    
    xkbevd.c: In function ‘GetDisplay’:
    xkbevd.c:219:33: warning: declaration of ‘dpyName’ shadows a global declaration [-Wshadow]
     GetDisplay(char *program, char *dpyName, int *opcodeRtrn, int *evBaseRtrn)
                                     ^~~~~~~
    xkbevd.c:55:17: note: shadowed declaration is here
     static char *   dpyName = NULL;
                     ^~~~~~~
    xkbevd.c:222:14: warning: declaration of ‘dpy’ shadows a global declaration [-Wshadow]
         Display *dpy;
                  ^~~
    xkbevd.c:56:17: note: shadowed declaration is here
     Display *       dpy = NULL;
                     ^~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 199b00b2bbaf2dd90d95e9e3a77c738269ed3804
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 22 11:11:00 2022 -0700

    Variable scope reduction as suggested by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa4be31580f5ea62556ac02dc2e07737a758de87
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 361125d11e8131f19c27cb2d367572e58ffed9f8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 12:46:57 2022 -0700

    man page: remove out-of-date COPYRIGHT section
    
    The information previously listed here didn't match what is present in
    the source code or the COPYING file, and the X(7) man page doesn't list
    any license information as this had claimed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 23684af1a2a33aaacb3acfa44d10f2131e6c2aed
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 14:57:50 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 414140cba366a5917a340c7c24525c301f8fb58c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 14:57:47 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dcf3ff77e28552fb0a2978e5d5c4a725c052466c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:11:31 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4b896f7c9a964513ebdbb935e414a764ecb1cb6d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:24:48 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2c5bf4d32484bcf223d39f7b13546475262ba382
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 4a2e0685ad9c8e25fd24a26c79e84d5ac50e2016
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dafbdaddea814acbf2240838a4b7c9f34b0de30b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 4a494c0d8beb710d8f3df941f05e4b8af42deac0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 23:37:10 2015 -0700

    xkbevd 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 08dbb15647fe32a14f8cc76fba6f8754cdfc76ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:45:27 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 81b5fc692bb016450d09a9cebe9d4cd70bec1ed5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:45:27 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6a3adf875fd2d70ee0b231212c800df030d1a8f1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 14:41:07 2014 -0700

    Remove unused macro lowbit()
    
    Flagged by clang:
    
    xkbevd.c:32:9: warning: macro is not used [-Wunused-macros]
            ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ac3a491ad7cebd2df90e9d934ad858fc1bc38cf3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 14:09:27 2014 -0700

    Add xev & xkbwatch to SEE ALSO list in man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d7027d4644cb5333ae041bebb0724ddb62fd7686
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 13:59:30 2014 -0700

    Add -version option to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d4c472d81e2ee735ed2b642cd7290fb5830ee60
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 13:53:14 2014 -0700

    Remove unnecessary cast of getenv return value to char *
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 33fd917bcd564a5526216a286867a528018f425d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 13:50:29 2014 -0700

    Convert sources to X.Org standard coding style
    
    Via util/modular/x-indent-all.sh
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bd55f70b8740a630fa42d17e4f3345b3601542e2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 12:24:40 2014 -0700

    Convert sprintf calls to snprintf
    
    Remaining sprintf calls in evargs.c are printing into buffers passed
    through multiple levels of function calls, and need arguments added
    to those functions to pass through buffer sizes as well.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 980f5d224fb747d059bd9692d1676142d19f2e07
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 12:02:59 2014 -0700

    Remove unused debugging & function tracing frameworks
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3df592c85e40983ce8bf13afed6df15ffb93bb40
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 11:55:44 2014 -0700

    Delete unused uStrCasePrefix function
    
    Flagged by cppcheck 1.64:
    [utils.c:262]: (style) The function 'uStrCasePrefix' is never used.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01774fb58330733858ff41ceabe2d646d127d4f3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 11:53:28 2014 -0700

    unifdef -Unotyet
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 238f5fdc3331c5636cf3b397163554d6fbd0754c
Author: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
Date:   Fri Mar 23 19:31:20 2012 +0100

    man: whitespace fixes
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 034844a1c33c947d49bcad09084cbb9640eb8afb
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Mar 23 19:26:39 2012 +0100

    man: fix broken escape sequence (\P instead of \fP)
    
    Debian bug#664962
    
    Reported-by: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 34557c33a9711f15f771599f5320ab8f01f0d117
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 22 22:39:25 2012 -0700

    xkbevd 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b2d40b9a09ab40482e081a2648cf8f79ff6cc386
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 27 11:06:06 2011 -0800

    Delete unused uFatalError function
    
    Stops gcc from suggesting to add noreturn attribute to it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b71eb0361cf556909d88b59ccdb810a137c1efeb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 27 11:00:58 2011 -0800

    Fix gcc -Wwrite-strings warnings
    
    except for those caused by code generated by bison/yacc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6ad0af956bbc328c91fdb2327b43614c7ebbb000
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 27 10:50:59 2011 -0800

    Replace local u*alloc wrappers with direct calls to standard funcs
    
    Includes:
    - Replacing calls to uTypedCalloc with direct calloc calls
    - Replacing uFree calls with free calls
    - Assuming strdup is always available and uStringDup fallback function
      is no longer needed
    - Deleting the remainder of the forms of u*alloc which were unused
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e5c801fbd2f8341e67600fd38b1f3ef8fc82030f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 27 10:40:10 2011 -0800

    Check for strdup & strcasecmp in configure before defining our own
    
    The HAVE_STRDUP & HAVE_STRCASECMP checks were already in the code,
    just not the configure checks to define them or the #include "config.h"
    to find the definitions.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c6c878fa6985a84181ebd44abc9de6aa74268024
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Mar 8 08:20:10 2011 -0500

    config: move pre-processor flags to AM_CPPFLAGS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 433364d960bea9fa458c2f144c2033300019b0fa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Mar 8 08:18:19 2011 -0500

    config: let Automake handle Yacc dist and cleaning
    
    BUILT_SOURCES and MAINTAINERCLEANFILES are already handled by Automake.
    
    Automake generates all the rules to handle building,
    distribution and cleaning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e7c5c1018964e5213d1bf727ebfd90e95dbca6a2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 95987d19b9802c235f2257eceff663a4a1e286fa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 8 21:51:11 2010 -0800

    xkbevd 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 96ec51a0d91920c69d1cfb9e084cc84c4d86ff20
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 18:42:35 2010 -0800

    Purge RCS/CVS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a56e8dda4bac8621dedcb80b1f55c9a25c78d43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 18:36:25 2010 -0800

    Fix errors found by gcc's printf attribute check
    
    xkbevd.c: In function `parseArgs':
    xkbevd.c:120: warning: too few arguments for format
    xkbevd.c:139: warning: too few arguments for format
    xkbevd.c:158: warning: too few arguments for format
    xkbevd.c:177: warning: too few arguments for format
    xkbevd.c: In function `InterpretConfigs':
    xkbevd.c:280: warning: format argument is not a pointer (arg 2)
    xkbevd.c: In function `FindMatchingConfig':
    xkbevd.c:374: warning: too few arguments for format
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 45d575da032967b8920cf57491b7bd3bcd2991af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 18:32:08 2010 -0800

    Add printf attributes to util.c functions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d304e315d8143b4fbcb99e8086a6fad0dd051384
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 18:21:37 2010 -0800

    Constify arguments to utils.c functions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 517ad56361ff9545bfc9730523e713a2bf641943
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 18:10:25 2010 -0800

    Remove trailing whitespace
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 04208bd63c1e81a2fada019bbf986c4cd93d0272
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 18:09:30 2010 -0800

    Combine usage message into a single string
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e56d87af20b96113dc40510811cadff028fe911f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 18:02:46 2010 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a5d49274162fbaad7dfcf5879e4e229bc7801fe0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 1 13:35:06 2010 -0400

    config: cfgparse.c is in the root dir and not in src dir
    
    The test for the yacc generated file was done in the wrong directory.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c9e521f4ab7d07ee9b4b0ce7779bc939e7051e95
Author: Martin Jansa <Martin.Jansa@gmail.com>
Date:   Mon Nov 1 09:46:20 2010 +0100

    config: replace AC_CHECK_FILE with test -f
    
    * AC_CHECK_FILE doesn't work for cross compilation
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 14e12f714eead3f0185ab7996d6a1a38897c25cc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 10:06:46 2010 -0700

    xkbevd 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aeecae39e02786202e7a2567b8a73f12a1b0bc55
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 20:40:35 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 63777386ce5be4f7f66ed36f5972cfc9238a6f90
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 20:10:43 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 668a4e9b00e559c554a14a268fecc17683ce1f47
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c8a5caedff1fd2ac6c542f4542009ff6eb3c2076
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jul 18 10:07:41 2010 -0400

    config: allow to build tarball when yacc is missing
    
    Autoconf does not handle this scenario as well as Automake does.
    If cfgparse.c is already there, do not abort the configuration
    if yacc is missing as it is not needed.
    
    If both cfgparse.c and yacc are missing, abort configuration.
    Yacc is a required tool to build the package.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cb6b4bc515442fa5e910e45c030e1382ae44468c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 4 13:07:23 2010 -0400

    config: add check for yacc to insure it is installed #27973
    
    Unlike other macros AC_PROG_YACC sets the YACC variable to "yacc"
    as a last resort, even if no programs have been found. Improve error
    checking by issuing an error message if yacc is not found. The module
    cannot build anyway.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 737bfb709a910795a827491459427b09e971643c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 7 21:54:30 2010 -0500

    COPYING: replace stub with actual copyright notice
    
    Refer to xkbevd.c
    Copyright (c) 1995 by Silicon Graphics Computer Systems
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0358d3085622cb6af2639e0add7f69b3fdde1154
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit dc54248582dda953e6c0d8e9f357f644ef691319
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit c3ad5b8624255e32a391ffb463fea3f1b08f6410
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 8b0b5f5bc1ed1903e4eb18730250cb55066302d7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 9e80c1a80d0c741d31cf0e66c483a2d78700b2d3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 18:30:52 2009 -0700

    xkbevd 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7c8d8cecab250695bc3fe1e36cef309079365fc2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 13 17:56:10 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 01320796bb9418e621f713e1e51271690e0e2065
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:25 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 041e6e460d0df14f206ecea14cb77925ea029891
Author: Michael Scherer <misc@mandriva.org>
Date:   Sat Mar 7 13:13:04 2009 +0100

    Fix format string error

commit 1f0cc20f6f558ddc059e354453c51fea32f3ee92
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 14 20:53:22 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, and corrects
    make distcheck. Most gcc 4.3 and sparse warnings correct (remaining
    warnings are from yacc generated source).

commit 17d3fc13961d85739d0f0776734bc9a2d6a6b012
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jul 29 16:04:57 2008 -0300

    Allow using xkbevd as a debug tool for xkb events.
    
      Unless the option -bg is used, it now defaults to print all Xkb events,
    in a way similar to xev (actually, there is an #if 0'ed, almost complete
    copy of xev.c in printev.c). This almost implements what is commented in
    the manual page, about using xkbevd as a possible xev counterpart, or
    replacement.

commit 7e6765512cc2b88a1d56cc7c87cd5c06a185cf79
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 22 16:12:41 2008 -0800

    Change xkbevd_CFLAGS to AM_CFLAGS to make automake-1.10 happier
    
    Makefile.am:26: compiling `cfgparse.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.ac'

commit 12c47a9e2dc5d641194e25363e6a2d09aa49d0ed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 22 16:07:32 2008 -0800

    Bug 14185: MAINTAINERCLEANFILES multiply defined in Makefile.am
    
    <http://bugs.freedesktop.org/show_bug.cgi?id=14185>

commit 50c7d6c00221a8c89ed083ac9fd85eec8d8c33a6
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:18 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 9f58ebd8af282f9284ee53ec35238dc0f35b8f48
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:26 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 4fa1aa0936ec2b5f8dc49378fb700acab798e878
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:24:52 2007 -0400

    Rename .cvsignore to .gitignore

commit 4e49bc481b465770fad3d7333e937a89ce080932
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 2 01:10:38 2006 +0000

    Bump to 1.0.2.

commit 6027b1917f0a417f85aacb3652753bcea35c429a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Feb 3 19:06:09 2006 +0000

    Bug #5802 <https://bugs.freedesktop.org/show_bug.cgi?id=5802> Wrong name in
        .TH line in xkbevd man page (Masatake YAMATO)

commit 40b4fb30eac67a0277d01f39a39e961cb3b506aa
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:51 2005 +0000

    Update package version for X11R7 release.

commit 299d9f430989a643dc5c9a75be712636789a4412
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:45 2005 +0000

    Stub COPYING files

commit 64b821adfb87eeb059e65e2f508c549c01653ebf
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:08 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 3c98f4f8c8b971708482b2883c8d9c261b5569d5
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:23 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 4ab0e6efe790acfff797f06a6b8a48b6d9facc30
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:24 2005 +0000

    Update package version number for X11R7 RC3 release.

commit e87e7abbcc6f32689e9470a39b771c08cf087d50
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:43 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 405c9afd7dc2e9c635cbc68748c94fdf20d8cd6f
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:01 2005 +0000

    Another pass at .cvsignores for apps.

commit 707a63a1121231b7c931ae0c81d2bccc9cd65402
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:53 2005 +0000

    Add/improve .cvsignore files for apps.

commit 4afe8e5b23eedebaf08592494f6eed7bd4b47f2b
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:37 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 81de9e6a1a5030f981fa9aa870814ae53861d901
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:21 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 77ef8a9c9723568785c8bbb7c6f05376551189a3
Author: Donnie Berkholz <spyderous@gentoo.org>
Date:   Thu Oct 20 22:27:07 2005 +0000

    Set DFLT_XKB_CONFIG_ROOT instead of using hard-coded default.

commit 976fbcdd1a0bf305716ae7b41aaf4b2fc59c209c
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:55 2005 +0000

    Update package version number for RC1 release.

commit 4d7e0831dcf4062604808edfec5859c076c2c4b2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:23 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 4215c00d3230612e0e84a03d7911d54b2a07bee4
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Oct 15 19:35:01 2005 +0000

    Have generated files be cleaned by maintainer in order to pass
        check-tarball test.

commit dd9ef6852e07fbb16b1c14a5d0dfa395cb868779
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:46 2005 +0000

    Use sed to fill in variables in man page

commit f19e377a69d73ff1af3295cce65701fe703bd7cc
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Oct 2 20:24:19 2005 +0000

    Add xkbevd sample configuration file to app/xkbevd

commit 774c0d981f0bd08e30fc8f8c68bb812073063e32
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Aug 2 18:06:57 2005 +0000

    Add .cvsignore

commit 17aa48a84040026cd3e34969af9c2721a3953c64
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Aug 2 18:05:15 2005 +0000

    Mark generated files as BUILT_SOURCES and CLEANFILES to ensure they are
        regenerated after 'make clean' and to make parallel builds work right.

commit c3b209fe721773a74f057961028bb927e87e6896
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:35 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 96cbc3683ac96a0fc0c84ec28c3467348f2c966b
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jul 27 01:54:18 2005 +0000

    Move manpages to section 1 instead of section m.

commit d15204dc106437a8981a34b805658b74c24224ff
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:57 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 6b1df45952ed9088b8f9db18afbd62f1ee84f59d
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 6 20:38:28 2005 +0000

    build system for xkbevd

commit 9ff2f0062214b0a2f68e3618bc59f2f247041f4c
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:57 2004 +0000

    Merging XORG-CURRENT into trunk

commit 60aaede12965a3e43d0a2e8e316c4b064bc59158
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:36 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 0f11f7812118fdcaea765af8b13a9a2cf76a3379
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:14 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit abb4055cd85bde2e45bb631dd4baca7330bc4b3f
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:26 2004 +0000

    readding XFree86's cvs IDs

commit 7a6dec37349e9f4a8cc8de2309af34fa16159042
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:13 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit c29f80f3b7780c8cbe9a9a638ff56505b8c38d8f
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:14 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 3a593fed409e418cc6c599838f8af626d31a4487
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    XFree86 4.3.0.1

commit 9f1e6d353042f462da0a3a2264a115eca2c859a5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:54 2003 +0000

    R6.6 is the Xorg base-line
